On user's first use of VE-MW, provide a couple of educational pop-ups for links and for citations with some toolbar highlights to trigger them
Closed, ResolvedPublic8 Story Points

Description

Design at

  • ; interactive earlier prototype here.

    Krenair claimed this task.Sep 2 2015, 11:46 PM

    I've made a pulsating dot and popup work (close when a button is pressed etc., some basic hardcoded content in there), but I need to figure out how it should be made generic to work in all the places we want without having to be rewritten.

    I've made a pulsating dot and popup work (close when a button is pressed etc., some basic hardcoded content in there), but I need to figure out how it should be made generic to work in all the places we want without having to be rewritten.

    Nice. :-)

    We could certain provide the ability to set a custom image, title and description for each popup. I'd rather not do custom buttons for each ('Okay, got it' vs. 'Add a citation'/'No thanks') - the idea is to point to the place where the user would go if they wanted to use the tool, another button to do it doesn't seem very useful.

    Change 238372 had a related patch set uploaded (by Alex Monk):
    WIP (contains stupidity, do not push)

    https://gerrit.wikimedia.org/r/238372

    Change 238372 abandoned by Alex Monk:
    WIP (contains stupidity, do not push)

    Reason:
    <Krenair> Obviously this was not the commit to autopilot "git commit --amend -a; git review" on

    https://gerrit.wikimedia.org/r/238372

    Change 238380 had a related patch set uploaded (by Alex Monk):
    [WIP] Educational popups and highlights for links citations

    https://gerrit.wikimedia.org/r/238380

    Change 238380 merged by jenkins-bot:
    Educational popups and highlights for links citations

    https://gerrit.wikimedia.org/r/238380

    Change 246428 had a related patch set uploaded (by Alex Monk):
    User education popup for citations

    https://gerrit.wikimedia.org/r/246428

    Jdforrester-WMF closed this task as "Resolved".Oct 15 2015, 4:28 PM

    Change 246428 merged by jenkins-bot:
    User education popup for citations

    https://gerrit.wikimedia.org/r/246428

    From a content POV re: the link popup on WMF wikis,
    I know it's tricky, but I wonder if that may encourage overlinking and, in particular, linking to external sites where they shouldn't be linked - AFAIK it should only be done in specific sections of a page on most of our wikis.
    It may make more sense mentioning the external links for citing.

    Wittylama added a comment.EditedOct 29 2015, 4:59 PM

    By the way - I added some links today (on Meta) in VE and was shown a popup explaining linking.
    However, a few hours later, still logged in, same browser, I received the same popup when I added another link.
    So, it's working, but not "user's first use of VE" as this ticket's name suggests.

    @Jdforrester-WMF, I've noticed the same thing on Meta as well. Possibly this is a Meta-specific issue?

    @Wittylama, I've filed your report at T117083: Link education pop-up appears at the start of every editing session, not just once per user

    If anyone can reproduce this at a wiki other than Meta, then please comment there.

    If anyone can reproduce this at a wiki other than Meta, then please comment there.

    I can reproduce at wikivoyage, testing at https://en.wikivoyage.org/wiki/User:Quiddity_%28WMF%29/sandbox

    I'm a little bit upset by this feature: as an experienced user, I don't need to see this pop-up. And when I click on the link icon to add a link, I need to click on the "okay" button, and then click again on the icon. Grunt.

    Trizek - that's why it's supposed to be only for the first time you use VE. Not every time.

    Trizek - that's why it's supposed to be only for the first time you use VE. Not every time.

    I know. I was using VE before this feature, and I use it with my two accounts on may wikis: you can imagine how many times I've seen the message! :)